AutoSegments_Aligneds(3)

NAME
AutoSegments_Aligneds - All aligned AutoSegment of a set.

SYNOPSIS

Inherits Collection< Type >.

  Public Member Functions
AutoSegments_Aligneds (AutoSegment *, unsigned int flags=KbNoFlags)
AutoSegments_Aligneds (const AutoSegments_Aligneds &)
virtual AutoSegmentHC * getClone () const
virtual AutoSegmentHL * getLocator () const

Detailed Description

All aligned AutoSegment of a set. A Collection to iterate over all the AutoSegment aligned with master. The master itself will not be included in the walkthrough. If the Katabatic::KbWithPerpands flag is passed as argument, the collection will also includes the AutoSegments directly perpandicular to the aligned set.

Remark: AutoSegments are forced to be aligneds only when connected through
    AutoContactHTee or AutoContactVTee.

Constructor & Destructor Documentation

  AutoSegments_Aligneds (AutoSegment * master, unsigned int flags = KbNoFlags) [inline]
Create a collection of all the AutoSegment aligned on master (master itself is excluded from the Collection). If the flag Katabatic::KbWithPerpands is given the directly perpandicular AutoSegment will also be includeds.

  AutoSegments_Aligneds (const AutoSegments_Aligneds & autosegments) [inline]
Copy constructor.

Member Function Documentation

  AutoSegmentHC * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Collection< Type >.

  AutoSegmentHC * getLocator () const [virtual]
Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.